

<?php $__env->startSection('main'); ?> 
  <div class="card">
    <h5 class="card-header">Identité</h5>
    <div class="card-body">
      <dl class="row">
        <dt class="col-sm-3">Nom</dt>
        <dd class="col-sm-9"><?php echo e($user->name); ?></dd>      
        <dt class="col-sm-3">Prénom</dt>
        <dd class="col-sm-9"><?php echo e($user->firstname); ?></dd>      
        <dt class="col-sm-3">Email</dt>
        <dd class="col-sm-9"><a href="mailto:<?php echo e($user->email); ?>"><?php echo e($user->email); ?></a></dd>      
        <dt class="col-sm-3 text-truncate">Date d'inscription</dt>
        <dd class="col-sm-9"><?php echo e($user->created_at->format('d/m/Y')); ?></dd>
        <dt class="col-sm-3 text-truncate">Dernière mise à jour</dt>
        <dd class="col-sm-9"><?php echo e($user->updated_at->format('d/m/Y')); ?></dd>        
        <dt class="col-sm-3">Lettre d'information</dt>
        <dd class="col-sm-9"><?php if($user->newsletter): ?> Oui <?php else: ?> Non <?php endif; ?></dd>
      </dl>
    </div>
  </div>

  <?php if($user->orders->isNotEmpty()): ?>
    <div class="card">
      <h5 class="card-header">Commandes</h5>
      <div class="card-body">
        <table class="table table-bordered table-hover">
          <thead>
            <tr>
              <th>Référence</th>
              <th>Date</th>
              <th>Prix total</th>
              <th>Paiement</th>
              <th>État</th>
              <th></th>
            </tr>
          </thead>    
          <tbody>
              <?php $__currentLoopData = $user->orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <tr>
                <td><?php echo e($order->reference); ?></td>
                <td><?php echo e($order->created_at->calendar()); ?></td>
                <td><?php echo e($order->total); ?> €</td>
                <td><?php echo e($order->payment_text); ?></td>
                <td><span class="badge badge-<?php echo e(config('colors.' . $order->state->color)); ?>"><?php echo e($order->state->name); ?></span></td>
                <td style="text-align: center"><a href="<?php echo e(route('orders.show', $order->id)); ?>" class="btn btn-primary btn-sm">Voir</a></td>
              </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </tbody>
        </table>
      </div>
    </div>
  <?php endif; ?>

  <div class="card">
    <h5 class="card-header"><?php if($user->addresses->count() === 1): ?> Adresse <?php else: ?> Adresses <?php endif; ?></h5>
    <div class="card-body">
      <div class="row">
        <?php $__currentLoopData = $user->addresses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $address): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <div class="col-12 col-md-6 col-lg-4">
            <div class="card">
              <div class="card-body">
                <?php echo $__env->make('account.addresses.partials.address', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
              </div>
            </div>
          </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </div>    
    </div>
  </div>

  <div class="form-group row mb-0">
    <div class="col-md-12">
      <a class="btn btn-primary" href="<?php echo e(route('clients.index')); ?>" role="button"><i class="fas fa-arrow-left"></i> Retour à la liste des clients</a>    
    </div>
  </div><br>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('back.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laragon\www\shopping\resources\views/back/users/show.blade.php ENDPATH**/ ?>