

<?php $__env->startSection('main'); ?> 
  <div class="card">
    <h5 class="card-header">Commande 
      <span class="badge badge-secondary"><?php echo e($order->reference); ?></span> 
      <span class="badge badge-secondary">N° <?php echo e($order->id); ?></span>
    </h5>
    <div class="card-body">
      <div class="card">
        <h5 class="card-header">Mode de paiement</span></h5>
        <div class="card-body">
          <p><?php echo e($order->payment_text); ?></p>
          <?php if($order->payment_infos): ?>
            ID de paiement : <span class="badge badge-secondary"><?php echo e($order->payment_infos->payment_id); ?></span>
          <?php endif; ?>
        </div>
      </div>
      <?php if($shop->invoice && ($order->invoice_id || $order->state->indice > $annule_indice)): ?>
        <div class="card">        
          <h5 class="card-header">Facture</h5>
          <div class="card-body">  
            <?php if(session('invoice')): ?>
              <div class="alert alert-danger" role="alert">
                  <?php echo e(session('invoice')); ?>

                  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
              </div>
            <?php endif; ?>
            <?php if($order->invoice_id): ?>
              <p>La facture a été générée avec l'id <strong><?php echo e($order->invoice_id); ?></strong> et le numéro <strong><?php echo e($order->invoice_number); ?></strong>.</p>
            <?php else: ?>
              <form method="POST" action="<?php echo e(route('orders.invoice', $order->id)); ?>">
                <?php echo csrf_field(); ?>
                 <?php if (isset($component)) { $__componentOriginal65b96498117216404ff6afa327e63156e5f49168 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Checkbox::class, ['name' => 'paid','label' => 'Le paiement a été effectué','value' => $order->state->indice > 3]); ?>
<?php $component->withName('checkbox'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?> <?php if (isset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168)): ?>
<?php $component = $__componentOriginal65b96498117216404ff6afa327e63156e5f49168; ?>
<?php unset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168); ?>
<?php endif; ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?> 
                <button type="submit" class="btn btn-primary">Générer la facture</button>
              </form>
            <?php endif; ?>
          </div>
        </div>
      <?php endif; ?>
      <?php if($order->payment === 'mandat'): ?>
        <div class="card">
          <h5 class="card-header">Bon de commande</h5>
          <div class="card-body">
            <form method="POST" action="<?php echo e(route('orders.updateNumber', $order->id)); ?>">
              <?php echo method_field('PUT'); ?>
              <?php echo csrf_field(); ?>   
               <?php if (isset($component)) { $__componentOriginal4a1430de645ad98118712ffbe156ec72b9c11009 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Inputbs4::class, ['name' => 'purchase_order','type' => 'text','label' => 'N° du bon de commande','value' => $order->purchase_order]); ?>
<?php $component->withName('inputbs4'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?> <?php if (isset($__componentOriginal4a1430de645ad98118712ffbe156ec72b9c11009)): ?>
<?php $component = $__componentOriginal4a1430de645ad98118712ffbe156ec72b9c11009; ?>
<?php unset($__componentOriginal4a1430de645ad98118712ffbe156ec72b9c11009); ?>
<?php endif; ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?> 
              <button type="submit" class="btn btn-primary"  <?php if($order->state->indice >= 3): ?> disabled <?php endif; ?>>Mettre à jour le numéro du bon de commande</button>
            </form>
          </div>
        </div>
      <?php endif; ?>
      <div class="card">
        <h5 class="card-header">Etat : <span class="badge badge-<?php echo e(config('colors.' . $order->state->color)); ?>"> <?php echo e($order->state->name); ?></span></h5>
        <div class="card-body">
          <form method="POST" action="<?php echo e(route('orders.update', $order->id)); ?>">
            <?php echo method_field('PUT'); ?>
            <?php echo csrf_field(); ?>   
            <select id="state_id" name="state_id" class="custom-select custom-select-md mb-3">
              <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option data-slug="<?php echo e($state->slug); ?>" value="<?php echo e($state->id); ?>" <?php if($order->state->id === $state->id): ?> selected <?php endif; ?>><?php echo e($state->name); ?></option>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
            <button type="submit" class="btn btn-primary">Mettre à jour l'état</button>
          </form>
        </div>
      </div>
      <div class="card">
        <h5 class="card-header">Produits</h5>
        <div class="card-body">
          <?php $__currentLoopData = $order->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <br>
            <div class="row">
              <div class="col m6 s12">
                <?php echo e($item->name); ?> (<?php echo e($item->quantity); ?> <?php if($item->quantity > 1): ?> exemplaires) <?php else: ?> exemplaire) <?php endif; ?>
              </div>
              <div class="col m6 s12"><strong><?php echo e(number_format($item->total_price_gross, 2, ',', ' ')); ?> €</strong></div>
            </div>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <hr><br>
          <div class="row" style="background-color: lightgrey">
            <div class="col s6">
              Total HT
            </div>
            <div class="col s6">
              <strong><?php echo e(number_format($order->ht, 2, ',', ' ')); ?> €</strong>
            </div>
          </div>
          <br>
          <div class="row" style="background-color: lightgrey">
            <div class="col s6">
              Livraison en Colissimo
            </div>
            <div class="col s6">
              <strong><?php echo e(number_format($order->shipping, 2, ',', ' ')); ?> €</strong>
            </div>
          </div>
          <br>
          <?php if($order->tax > 0): ?>
            <div class="row" style="background-color: lightgrey">
              <div class="col s6">
                TVA à <?php echo e($order->tax * 100); ?> %
              </div>
              <div class="col s6">
                <strong><?php echo e(number_format($order->tva, 2, ',', ' ')); ?> €</strong>
              </div>
            </div>
            <br>
          <?php endif; ?>
          <div class="row" style="background-color: lightgrey">
            <div class="col s6">
              Total TTC
            </div>
            <div class="col s6">
              <strong><?php echo e(number_format($order->totalOrder, 2, ',', ' ')); ?> €</strong>
            </div>
          </div>
        </div>
      </div>
      <div class="card">
        <h5 class="card-header">Livraison</h5>
        <div class="card-body">
          <?php if($order->pick): ?>
            Le client a choisi de venir chercher sa commande sur place
          <?php else: ?>
            Livraison normale en Colissimo
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>

  <div class="card">
    <h5 class="card-header">Client : 
    <a href="<?php echo e(route('clients.show', $order->user->id)); ?>"><span class="badge badge-primary"><?php echo e($order->user->firstname . ' ' . $order->user->name); ?></span></a>  
      <span class="badge badge-secondary">N° <?php echo e($order->user->id); ?></span>
    </h5>
    <div class="card-body">
      <div class="card">
        <div class="card-body">
          <dl class="row">  
            <dt class="col-sm-3">Email</dt>
            <dd class="col-sm-9"><a href="mailto:<?php echo e($order->user->email); ?>"><?php echo e($order->user->email); ?></a></dd>      
            <dt class="col-sm-3 text-truncate">Date d'inscription</dt>
            <dd class="col-sm-9"><?php echo e($order->user->created_at->format('d/m/Y')); ?></dd>
            <dt class="col-sm-3 text-truncate">Commandes validées</dt>
            <dd class="col-sm-9"><span class="badge badge-primary"><?php echo e($order->user->orders->where('state_id', '>', 5)->count()); ?></span></dd>
          </dl>
        </div>
      </div>
    </div>
  </div>

  <div class="card">
    <h5 class="card-header">Adresses</h5>
    <div class="card-body">
      <div class="card">
        <div class="card-body">
          <ul class="nav nav-tabs" id="myTab" role="tablist">
            <li class="nav-item">
              <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true"><i class="fas fa-truck"></i> Adresse d'expédition</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false"><i class="fas fa-euro-sign"></i> Adresse de facturation</a>
            </li>
          </ul>
          <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab"><br>
              <?php if($order->adresses->count() === 1): ?>
                <?php echo $__env->make('account.addresses.partials.address', ['address' => $order->adresses->first()], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
              <?php else: ?>
                <?php echo $__env->make('account.addresses.partials.address', ['address' => $order->adresses->get(1)], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
              <?php endif; ?>
            </div>
            <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab"><br>
              <?php echo $__env->make('account.addresses.partials.address', ['address' => $order->adresses->first()], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('back.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laragon\www\shopping\resources\views/back/orders/show.blade.php ENDPATH**/ ?>